## mingw-w64-mlir-20.1.8-1.src.tar.zst

=== lib/Target/CMakeLists.txt ===
add_subdirectory(Cpp)
add_subdirectory(SPIRV)
add_subdirectory(LLVMIR)
add_subdirectory(LLVM)
