=== lib/CAPI/Debug/CMakeLists.txt ===
add_mlir_upstream_c_api_library(MLIRCAPIDebug
  Debug.cpp

  LINK_LIBS PUBLIC
  MLIRSupport
)
