=== lib/Dialect/Vector/Transforms/CMakeLists.txt ===
add_mlir_dialect_library(MLIRVectorTransforms
  BufferizableOpInterfaceImpl.cpp
  LowerVectorBitCast.cpp
  LowerVectorBroadcast.cpp
  LowerVectorContract.cpp
  LowerVectorGather.cpp
  LowerVectorInterleave.cpp
  LowerVectorMask.cpp
  LowerVectorMultiReduction.cpp
  LowerVectorScan.cpp
  LowerVectorShapeCast.cpp
  LowerVectorStep.cpp
  LowerVectorTransfer.cpp
  LowerVectorTranspose.cpp
  SubsetOpInterfaceImpl.cpp
  VectorDistribute.cpp
  VectorDropLeadUnitDim.cpp
  VectorEmulateMaskedLoadStore.cpp
  VectorEmulateNarrowType.cpp
  VectorInsertExtractStridedSliceRewritePatterns.cpp
  VectorLinearize.cpp
  VectorTransferOpTransforms.cpp
  VectorTransferSplitRewritePatterns.cpp
  VectorTransforms.cpp
  VectorUnroll.cpp
  VectorMaskElimination.cpp

  ADDITIONAL_HEADER_DIRS
  ${MLIR_MAIN_INCLUDE_DIR}/mlir/Dialect/Vector/Transforms

  DEPENDS
  MLIRVectorTransformsIncGen

  LINK_LIBS PUBLIC
  MLIRAffineDialect
  MLIRAffineAnalysis
  MLIRAffineUtils
  MLIRArithDialect
  MLIRDialectUtils
  MLIRGPUDialect
  MLIRGPUUtils
  MLIRIR
  MLIRLinalgDialect
  MLIRMemRefDialect
  MLIRMemRefUtils
  MLIRSCFDialect
  MLIRSideEffectInterfaces
  MLIRSubsetOpInterface
  MLIRTensorDialect
  MLIRTransforms
  MLIRVectorDialect
  MLIRVectorInterfaces
  MLIRVectorUtils
  )
